Support » Plugin: Parsedown for WordPress » Corrupts shortcodes ?

  • Hi,

    Thanks for this plugin.

    I swapped from jp-markdown and I’m having problems with several shortcode that do not “unwrap” when parsedown-wp is enabled.

    Ex:
    [embed]https://youtbekjsdhkjsdbfkjh[/embed]

    gets broken and appears on frontend as

    https://youtbekjsdhkjsdbfkjh[/embed]

    I get the same behavior on several websites and with other shortcodes then natives ones.

    Can you help ?

    Thanks

    Hubert

    https://wordpress.org/plugins/parsedown-wp/

Viewing 3 replies - 1 through 3 (of 3 total)
  • Hi again,

    It seems to NOT work properly when there is a full (with http://, not relative) URL in the [EMBED ] shortcode. When using a relative URL for an image, it does work OK. If the same image is called by its full URL it is half gobbled by parsedown-wp.

    Cheers

    Hubert

    Plugin Author rob1n

    (@rob1n)

    Hi Hubert,

    Thanks for taking the time to let me know. I’ve been pretty busy this week but I will take a look at this over the weekend. I suspect the shortcode filters may be firing after Markdown, which would lead to mass confusion all around.

    Yeah, this is broken still, eight months later. However the very old Markdown Extra plugin from 2013 still works, so until this “new” one gets fixed, its best to just use the oldie (but goodie): https://littoral.michelf.ca/code/php-markdown/php-markdown-extra-1.2.8.zip

Viewing 3 replies - 1 through 3 (of 3 total)
  • The topic ‘Corrupts shortcodes ?’ is closed to new replies.